atkmm 2.28.3

Public Member Functions | Static Public Member Functions | List of all members
Atk::TextAttribute Class Reference

`#include <atkmm/text.h>`

## Public Member Functions
| TextAttribute ()
| TextAttribute (BuiltinTextAttribute attribute)
| TextAttribute (int attribute)
| operator int () const

## Static Public Member Functions
static TextAttribute | for_name (const Glib::ustring & name)
static Glib::ustring | get_name (TextAttribute attribute)
static Glib::ustring | get_value (TextAttribute attribute, int index)

## Constructor & Destructor Documentation

## ◆ TextAttribute() [1/3]

Atk::TextAttribute::TextAttribute | ( |  | ) |
| inline

## ◆ TextAttribute() [2/3]

Atk::TextAttribute::TextAttribute | ( | BuiltinTextAttribute | attribute | ) |
| inline

## ◆ TextAttribute() [3/3]

Atk::TextAttribute::TextAttribute | ( | int | attribute | ) |
| inline explicit

## Member Function Documentation

## ◆ for_name()

static TextAttribute Atk::TextAttribute::for_name | ( | const Glib::ustring & | name | ) |
| static

## ◆ get_name()

static Glib::ustring Atk::TextAttribute::get_name | ( | TextAttribute | attribute | ) |
| static

## ◆ get_value()

static Glib::ustring Atk::TextAttribute::get_value | ( | TextAttribute | attribute,
|  | int | index
| ) |  |
| static

## ◆ operator int()

Atk::TextAttribute::operator int | ( |  | ) | const
| inline